Bug 430115 - Anaconda traceback on upgrade if /etc/rpm/platform is missing
Anaconda traceback on upgrade if /etc/rpm/platform is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker F9Beta
  Show dependency treegraph
 
Reported: 2008-01-24 11:44 EST by Will Woods
Modified: 2008-03-12 09:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 09:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anacdump.txt from attempted upgrade of a LiveCD-installed system (599.22 KB, text/plain)
2008-01-24 11:44 EST, Will Woods
no flags Details
Have a fallback for determining architecture (2.54 KB, patch)
2008-02-18 10:17 EST, Martin Sivák
no flags Details | Diff
anacdump.txt (409.39 KB, text/plain)
2008-03-10 15:02 EDT, Will Woods
no flags Details

  None (edit)
Description Will Woods 2008-01-24 11:44:57 EST
Anaconda attempts to check the arch of the target system to make sure it matches
the arch of the installer. It does this by checking the contents of
/etc/rpm/platform.

Unfortunately, if that file doesn't exist, there's no fallback, and the
installer traces back.

There should probably be a fallback method - perhaps reading some info from the
rpmdb would help?

Traceback is attached.
Comment 1 Will Woods 2008-01-24 11:44:57 EST
Created attachment 292814 [details]
anacdump.txt from attempted upgrade of a LiveCD-installed system
Comment 2 Jeremy Katz 2008-01-29 11:47:41 EST
We can't require that this file be present -- some people remove it, it's not
there for live installs, etc.
Comment 3 Martin Sivák 2008-02-18 10:17:54 EST
Created attachment 295173 [details]
Have a fallback for determining architecture

We have something like this in yuminstall.py, but i think this is more general
and it would be possible to use it in _checkUpgradeArch in there as well.

But I'm not sure about the rpm database stuff (what about database locks?) and
also the python-magic module will be new in the stage2 image (cca 300KB).

Without those two concerns, the code works on at least 4 machines here in the
office.
Comment 4 Seth Vidal 2008-02-22 10:31:39 EST
If we're lacking an /etc/rpm/platform where's the harm in relying on os.uname()?
Comment 5 Martin Sivák 2008-02-22 10:38:09 EST
Uname will tell you the architecture of running kernel. But to notify user about
the difference between running kernel (instalation media architecture) and the
architecture he already has installed, you need to read something from the
installed system (which is not running at the moment).
Comment 6 Martin Sivák 2008-02-27 07:52:20 EST
I'm waiting for installable rawhide to test the upgrade with modified patch
Comment 7 Jeremy Katz 2008-03-05 13:52:50 EST
Rawhide should be pretty installable at this point
Comment 8 Will Woods 2008-03-10 15:02:13 EDT
Created attachment 297490 [details]
anacdump.txt

Still happens with current rawhide. New anacdump.txt attached.
Comment 9 Martin Sivák 2008-03-12 09:09:00 EDT
Fixed in 11.4.0.51

Note You need to log in before you can comment on or make changes to this bug.